Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421299 - [abrt] general protection fault in __wake_up_common [NEEDINFO]
Summary: [abrt] general protection fault in __wake_up_common
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c5c6c152049d67b5c5c9434298a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 22:54 UTC by Dan Dragomir
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:13:00 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (62.54 KB, text/plain)
2017-02-10 22:55 UTC, Dan Dragomir
no flags Details

Description Dan Dragomir 2017-02-10 22:54:55 UTC
Description of problem:
I don't know what caused the problem. When it happened I was broswing the web, and in the background I had a btrfs-restore command running on a broken btrfs disk image.

Additional info:
reporter:       libreport-2.8.0
general protection fault: 0000 [#1] SMP
Modules linked in: ses enclosure scsi_transport_sas uas usb_storage rfcomm fuse ccm hidp xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_tftp nf_conntrack_ftp xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul mei_wdt iTCO_wdt iTCO_vendor_support iwlmvm ghash_clmulni_intel
 intel_cstate mac80211 intel_uncore intel_rapl_perf iwlwifi snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic cfg80211 joydev uvcvideo btusb videobuf2_vmalloc snd_hda_intel videobuf2_memops videobuf2_v4l2 btrtl snd_hda_codec videobuf2_core btbcm btintel i2c_i801 videodev snd_hda_core rtsx_pci_ms snd_hwdep i2c_smbus bluetooth memstick snd_seq lpc_ich media mei_me snd_seq_device shpchp mei snd_pcm snd_timer wmi thinkpad_acpi snd soundcore rfkill tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc btrfs xor 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core raid6_pq i2c_algo_bit drm_kms_helper crc32c_intel e1000e drm serio_raw rtsx_pci ptp pps_core fjes video i2c_dev
CPU: 3 PID: 16431 Comm: kworker/u17:2 Not tainted 4.9.7-201.fc25.x86_64 #1
Hardware name: LENOVO 20AR001ERI/20AR001ERI, BIOS GJET86WW (2.36 ) 12/04/2015
Workqueue: hci0 hci_rx_work [bluetooth]
task: ffff9e807f739e80 task.stack: ffffb6dd8a2d8000
RIP: 0010:[<ffffffffa00e6c80>]  [<ffffffffa00e6c80>] __wake_up_common+0x60/0x80
RSP: 0018:ffffb6dd8a2dbbc8  EFLAGS: 00010046
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: dead000000000100 RSI: 0000000000000046 RDI: 0000000000000046
RBP: ffffb6dd8a2dbc00 R08: 0000000000000000 R09: ffff9e7e60dc8080
R10: 0000000002f41000 R11: 00000000d744fcc9 R12: ffff9e814bd03f08
R13: dead0000000000e8 R14: 0000000000000000 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffff9e817e2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000555e27ae01d0 CR3: 00000001dee07000 CR4: 00000000001406e0
Stack:
 0000000000000246 0000000000000000 ffff9e814bd03f00 0000000000000246
 0000000000000001 0000000000000000 0000000000000000 ffffb6dd8a2dbc38
 ffffffffa00e6cd9 0000000000000068 0000000000000000 ffff9e81443e1400
Call Trace:
 [<ffffffffa00e6cd9>] __wake_up+0x39/0x50
 [<ffffffffa06d79c3>] sock_def_wakeup+0x33/0x40
 [<ffffffffc062bdda>] l2cap_sock_teardown_cb+0x1da/0x1e0 [bluetooth]
 [<ffffffffc06200e4>] l2cap_chan_del+0x44/0x2b0 [bluetooth]
 [<ffffffffc0627c56>] l2cap_recv_frame+0xee6/0x2960 [bluetooth]
 [<ffffffffa081ac87>] ? __mutex_lock_slowpath+0xb7/0x120
 [<ffffffffc062a1ec>] l2cap_recv_acldata+0x2fc/0x320 [bluetooth]
 [<ffffffffc05f834b>] hci_rx_work+0x30b/0x330 [bluetooth]
 [<ffffffffa00bc4f4>] process_one_work+0x184/0x430
 [<ffffffffa00bc7ee>] worker_thread+0x4e/0x490
 [<ffffffffa00bc7a0>] ? process_one_work+0x430/0x430
 [<ffffffffa00bc7a0>] ? process_one_work+0x430/0x430
 [<ffffffffa00c2579>] kthread+0xd9/0xf0
 [<ffffffffa00c24a0>] ? kthread_park+0x60/0x60
 [<ffffffffa081ded5>] ret_from_fork+0x25/0x30
Code: 8d 6e e8 41 89 ce 8b 18 48 8b 4d d0 44 89 f2 44 89 fe 48 89 c7 ff 50 10 85 c0 74 0b 83 e3 01 74 06 83 6d cc 01 74 14 49 8d 55 18 <49> 8b 4d 18 4c 89 e8 4c 39 e2 4c 8d 69 e8 75 cb 48 83 c4 10 5b 
RIP  [<ffffffffa00e6c80>] __wake_up_common+0x60/0x80
 RSP <ffffb6dd8a2dbbc8>

Comment 1 Dan Dragomir 2017-02-10 22:55:07 UTC
Created attachment 1249172 [details]
File: dmesg

Comment 2 Dan Dragomir 2017-02-10 23:08:14 UTC
I think that the following lines are missing from the end of ABRT-generated bug report:

---[ end trace 54286bb8c8bfafc7 ]---
BUG: unable to handle kernel paging request at 0000000099a5151e

Comment 3 Justin M. Forbes 2017-04-11 14:40:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2017-04-28 17:13:00 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.